> ## Documentation Index
> Fetch the complete documentation index at: https://idle.docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List files



## OpenAPI

````yaml /openapi.json get /files/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /files/:
    get:
      summary: List files
      responses:
        '200':
          description: Every file with `allowed` for this workspace
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/File'
components:
  schemas:
    File:
      type: object
      properties:
        id:
          type: integer
        key:
          type: string
        rank:
          type: string
          enum:
            - free
            - sample
            - full
        row_count:
          type: integer
        size_bytes:
          type: integer
        sha256:
          type: string
        created_at:
          type: string
          format: date-time
        allowed:
          type: boolean
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.